org.hibernate.validator.internal.cdi

## Class ValidatorFactoryBean

- java.lang.Object
- - org.hibernate.validator.internal.cdi.ValidatorFactoryBean

- All Implemented Interfaces:
    Contextual<ValidatorFactory>, Bean<ValidatorFactory>, BeanAttributes<ValidatorFactory>, PassivationCapable

      public class ValidatorFactoryBean
      extends Object
      implements Bean<ValidatorFactory>, PassivationCapable

  A `Bean` representing a `ValidatorFactory`. There is one instance of this type representing the default validator factory and optionally another instance representing the HV validator factory in case the default provider is not HV.
  Author:
    Hardy Ferentschik, Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorFactoryBean(BeanManager beanManager, ValidationProviderHelper validationProviderHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatorFactory` | `create(CreationalContext<ValidatorFactory> ctx)`
    `void` | `destroy(ValidatorFactory instance, CreationalContext<ValidatorFactory> ctx)`
    `Class<?>` | `getBeanClass()`
    `String` | `getId()`
    `Set<InjectionPoint>` | `getInjectionPoints()`
    `String` | `getName()`
    `Set<Annotation>` | `getQualifiers()`
    `Class<? extends Annotation>` | `getScope()`
    `Set<Class<? extends Annotation>>` | `getStereotypes()`
    `Set<Type>` | `getTypes()`
    `boolean` | `isAlternative()`
    `boolean` | `isNullable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorFactoryBean

          public ValidatorFactoryBean(BeanManager beanManager,
                              ValidationProviderHelper validationProviderHelper)

  - ### Method Detail

    - #### getBeanClass

          public Class<?> getBeanClass()

      Specified by:
        `getBeanClass` in interface `Bean<ValidatorFactory>`

    - #### getInjectionPoints

          public Set<InjectionPoint> getInjectionPoints()

      Specified by:
        `getInjectionPoints` in interface `Bean<ValidatorFactory>`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `BeanAttributes<ValidatorFactory>`

    - #### getQualifiers

          public Set<Annotation> getQualifiers()

      Specified by:
        `getQualifiers` in interface `BeanAttributes<ValidatorFactory>`

    - #### getScope

          public Class<? extends Annotation> getScope()

      Specified by:
        `getScope` in interface `BeanAttributes<ValidatorFactory>`

    - #### getStereotypes

          public Set<Class<? extends Annotation>> getStereotypes()

      Specified by:
        `getStereotypes` in interface `BeanAttributes<ValidatorFactory>`

    - #### getTypes

          public Set<Type> getTypes()

      Specified by:
        `getTypes` in interface `BeanAttributes<ValidatorFactory>`

    - #### isAlternative

          public boolean isAlternative()

      Specified by:
        `isAlternative` in interface `BeanAttributes<ValidatorFactory>`

    - #### isNullable

          public boolean isNullable()

      Specified by:
        `isNullable` in interface `Bean<ValidatorFactory>`

    - #### create

          public ValidatorFactory create(CreationalContext<ValidatorFactory> ctx)

      Specified by:
        `create` in interface `Contextual<ValidatorFactory>`

    - #### destroy

          public void destroy(ValidatorFactory instance,
                     CreationalContext<ValidatorFactory> ctx)

      Specified by:
        `destroy` in interface `Contextual<ValidatorFactory>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PassivationCapable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved